Support

Akeeba Backup for Joomla!

#35175 – Joomla Not Prompting FOF 4.x Installation

Posted in ‘Akeeba Backup for Joomla!’
This is a public ticket. Everybody will be able to see its contents. Do not include usernames, passwords or any other sensitive information.
Monday, 03 May 2021 01:24 CDT
cpartsenidis

Hello Nick,

 

I'm in the process of upgrading Admin Tools (5.9.3) and Akeeba Backup (7.5.3) to their latest version. This is being done on my staging domain before applying it to my primary site, Firewall.cx.

As per advise from your site, I'm updating Update Akeeba Frontend Framework (FEF) 1.1.3 > 2.0.2 and FOF 3.x Stable 3.7.3 > 3.7.4 so I can finally upgrade to 4.0.x and this is where it gets tricky.

I've done this a few times and remember seeing the option to upgrade to FOF 4.0.X however now that I stat down to document each step that is to be followed, I can't seem to get the FOF 4.0.X upgrade message to appear under Extensions>Manage>Update.

What's very odd is that I tried different combination of upgrades and discovered that I couldn't upgrade Admin Tools unless FOF 4.0.X was installed.  This is no longer occurring. After upgrading Akeeba Frontend Framework (FEF) 1.1.3 > 2.0.2 and FOF 3.x Stable 3.7.3 > 3.7.4, I can upgrade Admin Tools and Akeeba Backup without any errors.

So, my questions are:

1) Why isn't FOF 4.0.x appearing under Extensions>Manage>Update

2) How is it possible I can install both tools without FOF4.0.x ?

Looking forward to your response.

Thank you so much.

Chris.

 

 

Custom Fields

Joomla! version (in x.y.z format) 3.9.24
PHP version (in x.y.z format) 7.3.27
Akeeba Backup version (x.y.z format) 7.5.3
Monday, 03 May 2021 04:42 CDT
tampe125

Hello,

our libraries FOF  and FEF are being automatically installed along with our extensions, there's no need to a separate installation/upgrade unless you're in some particular situations. 

If you're updating your Akeeba software, you should double check that you do not have any old plugins still installed and enabled, more info in our blog post: https://www.akeeba.com/news/1744-advice-for-install-probs-with-march-2021-software-releases.html

What's your specific issue? Did you try to perform a regular upgrade? If so, did you had any failure?



Davide Tampellini

Developer and Support Staff



Italian: native

English: good



Please keep in mind my timezone and cultural differences when reading my replies. Thank you!



Monday, 03 May 2021 07:07 CDT
cpartsenidis

Hello Davide,

To keep things simple, can you kindly verify if the following steps are correct in order to upgrade Admin Tools (5.9.3) and Akeeba Backup (7.5.3) to their latest versions via Extensions>Manage>Update:

1) Upgrade Akeeba Frontend Framework (FEF) 1.1.3 > 2.0.2\

2) FOF 3.x Stable 3.7.3 > 3.7.4

3) Update Akeeba Backup 7.5.3 to latest version

4) Update Admin Tools 5.9.3 to latest version

 

Kindly advise.

Thank you.

Monday, 03 May 2021 07:10 CDT
tampe125

Skip steps 1 & 2. Simply update Akeeba Software, that would do the trick in 99% of cases.

If after updating the software (and clearing update cache) you still see that there are updates for the libraries, then install them.



Davide Tampellini

Developer and Support Staff



Italian: native

English: good



Please keep in mind my timezone and cultural differences when reading my replies. Thank you!



Monday, 03 May 2021 07:15 CDT
cpartsenidis

Just tried it.

Akeeba Backup updated fine however Admin Tools throws and error:  Class 'FOF40\Container\Container' not found

I've installed FOF 3.x Stable 3.7.3 > 3.7.4 however this hasn't resolved the problem.

Please advise.

Monday, 03 May 2021 07:16 CDT
tampe125

Did you disable the Installer plugins as noted in the blog post I linked above?



Davide Tampellini

Developer and Support Staff



Italian: native

English: good



Please keep in mind my timezone and cultural differences when reading my replies. Thank you!



Monday, 03 May 2021 07:52 CDT
cpartsenidis

I've disabled the plugin for Admin tools and receive the following error when trying to update:

 

Warning Error connecting to the server: 403 Before updating ensure that the update is compatible with your Joomla! installation.
You are strongly advised to make a backup of your installation before you start updating.   Error Failed to download package. Download it and install manually from https://www.akeeba.com/download/admintools/6-0-4/pkg_admintools-6-0-4-pro-zip.zip.     Any idea?
Monday, 03 May 2021 08:26 CDT
tampe125

As stated in the blog post, please clear your Joomla update cache or simply wait a couple of hours until the cache expires. You can always manually update it, for the next version the cache will be expired and the correct Download ID will be applied.



Davide Tampellini

Developer and Support Staff



Italian: native

English: good



Please keep in mind my timezone and cultural differences when reading my replies. Thank you!



Monday, 03 May 2021 17:16 CDT
cpartsenidis

Hello Davide,

I've cleared the Joomla Update Cache and also waited 8+ hours but no change. FOF4 does not appear as an installation/upgrade option. Attempting to upgrade Admin Tools produces the "Error connecting to the server: 403" error.

When I was doing the trial update runs of your software on my staging domain, I recall seeing the FOF4 update option right after updating FOF 3.x Stable 3.7.3 > 3.7.4, but this is no longer occurring.

Akeeba Plugins have been disabled, as advised.

Kindly let me know how I should proceed.

 

Thank you.

 

Monday, 03 May 2021 17:40 CDT
cpartsenidis

Further to my previous post. I re-enabled the Installer Admin Tools  and attempted to update Admin Tools. This worked without any error.

Can you verify this is a correct workaround? 

It seems like disabling the Installer creates the " Warning Error connecting to the server: 403" error when attempting to update.

Tuesday, 04 May 2021 08:16 CDT
tampe125

If you end up with latest version of Admin Tools / Akeeba Backup, we're good to go.

While we released the new version of our software, Joomla updated its update system (https://www.akeeba.com/news/1746-working-around-joomla-s-broken-extensions-updater.html), so there's a bit of back and forth with enabling plugins and cache cleaning, but now you should be good to go.



Davide Tampellini

Developer and Support Staff



Italian: native

English: good



Please keep in mind my timezone and cultural differences when reading my replies. Thank you!



Thursday, 03 June 2021 20:17 CDT
system
This ticket has been automatically closed. All tickets which have been inactive for a long time are automatically closed. If you believe that this ticket was closed in error, please contact us.
This ticket is closed, therefore read-only. You can no longer reply to it. If you need to provide more information, please open a new ticket and mention this ticket's number.

Support Information

Working hours: Typically we work Monday to Friday, 9am to 7pm Cyprus timezone (EEST). Support is provided by the same developers writing the software, all of which live in Europe. You can still file tickets, but we cannot respond to them, outside of our working hours.

Support policy: We would like to kindly inform you that when using our support you have already agreed to the Support Policy which is part of our Terms of Service. Thank you for your understanding and for helping us help you!